McElieceCCA2ParameterSpec (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.jcajce.spec

## Class McElieceCCA2ParameterSpec

- java.lang.Object
- - org.bouncycastle.pqc.jcajce.spec.McElieceCCA2ParameterSpec

- All Implemented Interfaces:
    java.security.spec.AlgorithmParameterSpec

      public class McElieceCCA2ParameterSpec
      extends java.lang.Object
      implements java.security.spec.AlgorithmParameterSpec

  This class provides a specification for the parameters of the CCA2-secure variants of the McEliece PKCS that are used with `McElieceFujisakiCipher`, `McElieceKobaraImaiCipher`, and `McEliecePointchevalCipher`.
  See Also:
    `McElieceFujisakiCipher`, `McElieceKobaraImaiCipher`, `McEliecePointchevalCipher`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_MD` The default message digest ("SHA256").

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McElieceCCA2ParameterSpec()` Construct the default parameters.
    `McElieceCCA2ParameterSpec(java.lang.String mdName)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMDName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MD

          public static final java.lang.String DEFAULT_MD

      The default message digest ("SHA256").
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### McElieceCCA2ParameterSpec

          public McElieceCCA2ParameterSpec()

      Construct the default parameters. Choose the

    - #### McElieceCCA2ParameterSpec

          public McElieceCCA2ParameterSpec(java.lang.String mdName)

      Constructor.
      Parameters:
        `mdName` - the name of the hash function

  - ### Method Detail

    - #### getMDName

          public java.lang.String getMDName()

      Returns:
        the name of the hash function